﻿import mx.remoting.debug.NetDebug;
import mx.remoting.*;
import mx.rpc.*;
import AsClasses.util.*
import AsClasses.navigation.*
import flash.external.*;
class MultiChatEnv{
	
	var service:Service;
	var pc:PendingCall;
	var usrId:Number;
	var standAlone:Boolean;
	var parent:MovieClip;
	var indicator:MovieClip;
	var msg:TextField;
	var username:String;
	var roomList:ListExt;
	
	function MultiChatEnv(gatewayUrl:String, service:String, p_mc:MovieClip, indicator:MovieClip, standAlone:Boolean, msg:TextField){
		NetDebug.initialize();
		this.service = new Service(gatewayUrl, null, service, null , null);
		this.parent = p_mc;
		this.indicator = indicator;
		this.standAlone = standAlone;
		this.msg = msg;
		this.initiate();
	}
	
	function onListSelect(){
		var arr:Array = new Array();
		for(var i:Number = 0; i < this.roomList.listBtns.length, i++){
			if(this.roomList.listBtns[i].sel){
				arr.push(this.roomList.listBtns[i].val);
			}
		}
		if(arr.length > 0){
			this.pc = this.service.joinChat(arr, this.username);
			this.pc.responder = new RelayResponder(this, "loadEnv", "loadEnvErr");
		}
		
	}
	function handleJoin(re:ResultEvent){
		var obj:Object = re.result;
	}
	function handleJoinErr(fe:FaultEvent){this.msg.text = "Server error.";}
	///////////// initiation of the environment //////////////////////
	function initiate(){
		var username = String(ExternalInterface.call("getUsername"));
		if(!this.standAlone){
			if(username.length > 0 && username != null && username != "null"){
				this.username = username;
				this.indicator.work();
				this.pc = this.service.loadEnv(this.username, this.standAlone);
				this.pc.responder = new RelayResponder(this, "loadEnv", "loadEnvErr");
				
			}else
				this.msg.text = "You have timed out, please relogin.";
		}
	}
	
	function loadEnv(re:ResultEvent){
		this.indicator.idle();
		this.usrId = Number(re.result);
		if(!this.usrId)
			this.msg.text = "Username taken, try again.";
		else
			this.msg.text = String(this.usrId);
	}
	function loadEnvErr(fe:FaultEvent){this.msg.text = "Server error.";}
	
	///////////// listing of available chats //////////////////////
	function listChats(){
		this.indicator.work();
		this.pc = this.service.listChats();
		this.pc.responder = new RelayResponder(this, "handleListChats", "listChatsErr");
	}
	
	function handleListChats(re:ResultEvent){
		this.indicator.idle();
		var obj:Object = re.result;
		this.roomList = new ListExt(obj, this.parent, 200, 100);
		
	}
	function listChatsErr(fe:FaultEvent){this.msg.text = "Server error.";}
	////////////////////////////////////////////////////////////////
}