﻿class CartItem{
	var pos:Number;
	var cont:MovieClip;
	var pMovie:MovieClip;
	var price:Number;
	var code:String;
	var amount:Number;
	var orgWeight:Number;
	var curWeight:Number;
	
	function CartItem(pMovie:MovieClip, weight:Number, pos:Number, code:String, price:Number, itemLabel:String, cart:ShoppingCart){
		this.pMovie = pMovie;
		this.pos = pos;
		this.price = price;
		this.code = code;
		this.amount = 1;
		this.orgWeight = weight;
		this.curWeight = weight;
		
		
		var toMovie:Object = new Object();
		toMovie.me = this;
		toMovie.cart = cart;
		
		this.pMovie.createEmptyMovieClip("cartItem"+code, this.pMovie.getNextHighestDepth());
		this.pMovie["cartItem"+code].attachMovie("cartitemholder", "cartItem"+code, this.pMovie.getNextHighestDepth(), toMovie);
		this.cont = this.pMovie["cartItem"+code];
		
		this.cont.createTextField("label_txt", this.cont.getNextHighestDepth(), 23.5, 2.5, 364, 18.5);
		this.cont.label_txt.text = itemLabel;
		this.cont.label_txt.setTextFormat(_root.basic_fmt);
		this.cont.label_txt.selectable = false;
		
		this.cont.createTextField("price_txt", this.cont.getNextHighestDepth(), 420, 2.5, 40, 18.5);
		this.cont.price_txt.text = price;
		this.cont.price_txt.selectable = false;
		
		this.cont.createTextField("amount_txt", this.cont.getNextHighestDepth(), 390.5, 2.5, 33, 18.5);
		this.cont.amount_txt.text = "1";
		this.cont.amount_txt.selectable = false;
		
		this.cont.price_txt.setTextFormat(_root.basic_center_fmt);
		this.cont.amount_txt.setTextFormat(_root.basic_center_fmt);
		this.cont.price_txt.setNewTextFormat(_root.basic_center_fmt);
		this.cont.amount_txt.setNewTextFormat(_root.basic_center_fmt);
	}
}