﻿import reefling.classes.util.*
class RoundGauge extends AdvObj{
	
	var amount:Number;							//the amount to gauge
	var incValue:Number;						//the amount to rotate for every increment of the amount
	var startAngle:Number;
	
	function RoundGauge(movie:MovieClip, id:String, incValue:Number, initAmount:Number, initAngle:Number){
		super(movie, id);
		this.amount = initAmount;
		this.startAngle = initAngle;
		this.incValue = incValue;
		this.rotate();
	}
	
	//note that the angle is in degrees
	function rotate(){
		this.angle = this.startAngle + (this.incValue * this.amount);
		this.clip._rotation = this.angle;
	}
	
	function connectToValue(a:Number){
		this.amount = a;
	}
	
	function drawMe(){
		this.rotate();
	}
}