﻿class HSMenu{
	
	var menuItems:Array;
	var menuHeight:Number;
	var pMovie:MovieClip;
	var childType:String;
	var parent:HSMenu;
	var pos:Number;
	var id:String;
	//var cont:MovieClip;
	
	function HSMenu(pics:String, labels:String, info:String, child:String, p:MovieClip, txtformat:TextFormat, id:String, childType:String){
		var tlabels:Array = labels.split(";");
		var tinfo:Array = info.split(";");
		var tchild:Array = child.split(";");
		var tpics:Array = pics.split(";");
		this.pMovie = p;
		this.menuItems = new Array(tlabels.length-1);
		this.childType = childType;
		this.id = id;

		for(var i:Number = 0; i < this.menuItems.length; i++){
			if(Number(tchild[i]) == 1){
				this.pMovie.createEmptyMovieClip(id+i, 100+i);
				this.pMovie[id+i].attachMovie(id, id+i, 100+i);
				var tempItem:HSMenuItem = new HSMenuItem(this.pMovie[id+i], tlabels[i], tinfo[i], tpics[i], txtformat, Number(tchild[i]), this);
				this.menuItems[i] = tempItem;
			}
		}
		
		this.update();
	}
	
	function setCodes(codes:String){
		var tcodes:Array = codes.split(";");
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].code = tcodes[i];
		}
	}
	
	function trans(x:Number, y:Number){
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].goTo(x, y + this.menuItems[i].cont._y);
		}
	}
	
	function setParent(parent:HSMenu){
		this.parent = parent;
		this.update();
	}
	
	function setParentItem(parentItem:HSMenuItem){
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].parentItem = parentItem;
		}
	}
	
	function update(){
		this.menuHeight = 0;
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].goTo(0, this.menuHeight);
			this.menuHeight += this.menuItems[i].cont._height;
		}
		
		this.parent.update();
	}
}