﻿class HSScroll{
	var scroller:MovieClip;
	var scrollbkg:MovieClip;
	var scrolled:MovieClip;
	var diff:Number;
	var origLevel:Number;
	var vertical:Boolean;
	var haveButtons:Boolean;
	var speed:Number;
	
	function HSScroll(scroller:MovieClip, scrolled:MovieClip, scrollbkg:MovieClip, vertical:Boolean){
		this.scroller = scroller;
		this.scrolled = scrolled;
		this.scrollbkg = scrollbkg;
		this.vertical = vertical;
		this.haveButtons = false;
		this.speed = 0;
		if(this.vertical){
			NavInit.initVerticalScroll(this.scroller, this.scrollbkg);
			//this.diff = (this.scrolled._height - this.scrollbkg._height) / (this.scrollbkg._height - this.scroller._height);
			this.origLevel = this.scrolled._y;
			this.update();
		}else{
			NavInit.initHorizontalScroll(this.scroller, this.scrollbkg);
			this.diff = (this.scrolled._width - this.scrollbkg._width) / (this.scrollbkg._width - this.scroller._width);
			this.origLevel = this.scrolled._x;
		}
	}
	
	function implementScrollButtons(up_btn:Button, down_btn:Button, speed:Number){
		NavInit.initScrollButton(up_btn, "up", this, speed);
		NavInit.initScrollButton(down_btn, "down", this, speed);
	}
	
	function update(){
		if(this.vertical){
			this.diff = this.scrolled._height / this.scrollbkg._height;
			if(this.diff < 1)
				this.diff = 1;
			
			this.scroller.bkg_mc._height = this.scrollbkg._height / this.diff;
			if(this.scroller.bkg_mc._height < 20)
				this.scroller.bkg_mc._height = 20;
			this.scroller.handle_mc._y = this.scroller.bkg_mc._y + (this.scroller.bkg_mc._height/2) - (this.scroller.handle_mc._height/2);
		}else{
			this.diff = (this.scrolled._width - this.scrollbkg._width) / (this.scrollbkg._width - this.scroller._width);
		}
	}
	
	function drawMe(){

		if(this.scroller._y > this.scrollbkg._y && this.speed < 0){
			this.scroller._y += this.speed;
		}
		
		if(this.scroller._y + this.scroller._height < this.scrollbkg._y + this.scrollbkg._height && this.speed > 0){
			this.scroller._y += this.speed;
		}
		
		
		if(this.vertical){
			this.scrolled._y = this.origLevel - ((this.scroller._y - this.scrollbkg._y) * this.diff);
		}else{
			this.scrolled._x = this.origLevel - ((this.scroller._x - this.scrollbkg._x) * this.diff);
		}	
	}
	
}