﻿class HSShopMenu{
	
	var menuItems:Array;
	var menuHeight:Number;
	var pMovie:MovieClip;
	var childType:String;
	var parent:HSMenu;
	var pos:Number;
	var id:String;
	//var cont:MovieClip;
	
	function HSShopMenu(pics:String, labels:String, info:String, child:String, p:MovieClip, txtformat:TextFormat, id:String, childType:String, stock:String, prices:String, codes:String, fullnames:String, weights:String){
		var tlabels:Array = labels.split(";");
		var tinfo:Array = info.split(";");
		var tchild:Array = child.split(";");
		var tpics:Array = pics.split(";");
		var tstock:Array = stock.split(";");
		var tprice:Array = prices.split(";");
		var tcode:Array = codes.split(";");
		var tname:Array = fullnames.split(";");
		var tweight:Array = weights.split(";");
		
		this.menuItems = new Array(0);
		
		this.pMovie = p;
		this.childType = childType;
		this.id = id;

		for(var i:Number = 0; i < tstock.length-1; i++){
			if(int(tstock[i]) > 0){
				this.pMovie.createEmptyMovieClip(id+i, 100+i);
				this.pMovie[id+i].attachMovie(id, id+i, 100+i);
				var tempItem:HSShopMenuItem = new HSShopMenuItem(this.pMovie[id+i], tlabels[i], 
				tinfo[i], tpics[i], txtformat, Number(tchild[i]), Number(tstock[i]), this, 
				Number(tprice[i]), tcode[i], tname[i], tweight[i]);
				this.menuItems.push(tempItem);
			}
		}
		
		this.update();
	}
	
	function setCodes(codes:String){
		var tcodes:Array = codes.split(";");
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].code = tcodes[i];
		}
	}
	
	function trans(x:Number, y:Number){
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].goTo(x, y + this.menuItems[i].cont._y);
		}
	}
	
	function setParent(parent:HSMenu){
		this.parent = parent;
		this.update();
	}
	
	function setParentItem(parentItem:HSMenuItem){
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].parentItem = parentItem;
		}
	}
	
	function update(){
		this.menuHeight = 0;
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].goTo(0, this.menuHeight);
			this.menuHeight += this.menuItems[i].cont._height;
		}
		
		this.parent.update();
	}
}