﻿class HSSimpleMenu{
	
	var menuItems:Array;
	var menuHeight:Number;
	var pMovie:MovieClip;
	var id:String;
	//var values:Array;
	
	function HSSimpleMenu(p:MovieClip, txtformat:TextFormat, id:String, values:Array, labels:String){
		var tlabels:Array = labels.split(";");
		//this.values = new Array(values);
		this.pMovie = p;
		this.menuItems = new Array(tlabels.length - 1);
		this.id = id;
		this.menuHeight = 0;

		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.pMovie.createEmptyMovieClip(id+i, 100+i);
			this.pMovie[id+i].attachMovie(id, id+i, 100+i, values[i]);
			
			var tempItem:HSSimpleMenuItem = new HSSimpleMenuItem(this.pMovie[id+i], txtformat, tlabels[i]);
			this.menuItems[i] = tempItem;
		}
		
		this.update();
	}
	
	function trans(x:Number, y:Number){
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].goTo(x, y + this.menuItems[i].cont._y);
		}
	}
	
	function update(){
		this.menuHeight = 0;
		for(var i:Number = 0; i < this.menuItems.length; i++){
			this.menuItems[i].goTo(0, this.menuHeight);
			this.menuHeight += this.menuItems[i].cont._height;
		}
	}
}