﻿class RadioList{
	var radios:Array;
	var exclusive:Boolean;
	var affected:Object;
	var pMovie:MovieClip;
	//var startSel:Number;
	function RadioList(p:MovieClip, arr:Array, affected:Object, startSel:Number){
		this.radios = arr;
		this.affected = affected;
		this.pMovie = p;
		//this.startSel = startSel;
		
		for(var i:Number = 0; i < this.radios.length; i++){
			this.radios[i].parent = this;
		}
		
		if(startSel > -1){
			this.exclusive = true;
		}else{
			this.exclusive = false;
		}
		
		if(this.exclusive){
			this.radios[startSel].forceSelect();
			this.radios[startSel].select();
		}
	}
	
	function updateSel(value:String){
		if(this.exclusive){
			for(var i:Number = 0; i < this.radios.length; i++){
				if(this.radios[i].value != value)
					this.radios[i].forceUnselect();
			}
			this.affected.handleRadioExclSel(value);
		}else{
			var temp:Array = new Array(0);
			for(var i:Number = 0; i < this.radios.length; i++){
				if(this.radios[i].selected)
					temp.push(this.radios[i].value);
			}
			this.affected.handleRadioMultiSel(temp);
		}
	}
	
	function updateUnsel(value:String){
		if(this.exclusive){
			for(var i:Number = 0; i < this.radios.length; i++){
				if(this.radios[i].value == value)
					this.radios[i].forceSelect();
			}
		}else{
			var temp:Array = new Array(0);
			for(var i:Number = 0; i < this.radios.length; i++){
				if(this.radios[i].selected)
					temp.push(this.radios[i].value);
			}
			this.affected.handleRadioMultiSel(temp);
		}
	}
}