﻿class HSHelp{
	
	static function setIntArray(n:Number, arr:Array){
		for(var i:Number = 0; i < arr.length; i++)
			arr[i] = n;
	}
	
	static function setStringArray(s:String, arr:Array){
		for(var i:Number = 0; i < arr.length; i++)
			arr[i] = s;
	}
	
	static function getPosFromInterval(value:Number, interval:Number):Number{
		var i:Number = 0;
		for(i = 0; value > interval; i++)
			value -= interval;
		
		return i;
	}
	
	static function addNumberToAllElements(value:Number, arr:Array){
		for(var i:Number = 0; i < arr.length; i++){
			arr[i] = Number(arr[i]) + value;
		}
	}
	
	static function setTextNbrDecimals(txt:TextField, n:Number, delim:String){
		var delimiter:Number = txt.text.indexOf(".");
		if(delimiter != -1)
			txt.text = txt.text.slice(0, delimiter+n);
	}
	
	static function showDragCursor(id:String, flag:Boolean){
		if(flag){
			Mouse.hide();
			_root.createEmptyMovieClip("mousedrag", _root.getNextHighestDepth());
			_root.mousedrag.attachMovie(id, "mousedrag", _root.getNextHighestDepth());
			_root.mousedrag._x = _xmouse;
			_root.mousedrag._y = _ymouse;
			
			var mouseListener:Object = new Object();
			mouseListener.onMouseMove = function(){
				_root.mousedrag._x = _xmouse;
				_root.mousedrag._y = _ymouse;
				updateAfterEvent();
			};
			Mouse.addListener(mouseListener);
			
		}else{
			Mouse.removeListener(mouseListener);
			_root.mousedrag.removeMovieClip();
			Mouse.show();
		}
	}
	
	static function setDrag(id:String){
		_root.mousedrag.removeMovieClip();
		_root.createEmptyMovieClip("mousedrag", _root.getNextHighestDepth());
		_root.mousedrag.attachMovie(id, "mousedrag", _root.getNextHighestDepth());
		_root.mousedrag._x = _xmouse;
		_root.mousedrag._y = _ymouse;
	}
	
	static function scaleToFitStageVertical(clip:MovieClip){
		var scaleRatio:Number = 1;
		
		if(clip._height > Stage.height){
			scaleRatio = Stage.height / clip._height;
	
			clip._width *= scaleRatio;
			clip._height *= scaleRatio;
		}
	}
	
	static function alignTxtMiddleXOffsetY(parent:MovieClip, txt:TextField, offset:Number){
		txt._x = (parent._width / 2) - (txt._width / 2);
		txt._y = (parent._height / 2) + offset;
	}
}