﻿class HSInit{
	static function initRotator(rotator:Rotator){
		rotator.clip.onPress = function(){
			rotator.pressed = true;
			rotator.clip.gotoAndStop("press");
		}
		
		rotator.clip.onRelease = function(){
			rotator.pressed = false;
			rotator.clip.gotoAndStop("start");
		}
		
		rotator.clip.onReleaseOutside = function(){
			rotator.pressed = false;
			rotator.clip.gotoAndStop("start");
		}
		
		rotator.clip.onRollOver = function(){
			rotator.clip.gotoAndStop("rollover");
		}
		
		rotator.clip.onRollOut = function(){
			rotator.clip.gotoAndStop("start");
		}
	}
	
	static function initDragableAnimal(movie:MovieClip){
		movie.onPress = function(){
			this.handleDrag = true;
			this.startDrag();
		}

		movie.onRelease = function(){
			this.handleDrag = false;
			this.startDrag();
		}
	}
}