﻿class Obj extends MovieClip{
	
	var clip:MovieClip;
	var id:String;
	
	function Obj(id:String, movie:MovieClip){
		this.id = id;
		this.clip = movie;
	}
	
	function setPos(x:Number, y:Number){
		this.clip._x = x;
		this.clip._y = y;
	}
	
	function setVpos(p:V2D){
		this.clip._x = p.x;
		this.clip._y = p.y;
	}
	
	function incPos(x:Number, y:Number){
		this.clip._x += x;
		this.clip._y += y;
	}
	
	function setClip(clip:MovieClip){
		this.clip = clip;
	}
	
	function getDepth():Number{
		return this.clip.getDepth();
	}
	
	function swapDepths(depth:Number){
		this.clip.swapDepths(depth);
	}
	
	function goTo(clip:MovieClip){
		this.clip._x = clip._x;
		this.clip._y = clip._y;
	}
	
	function scaleInc(n:Number){
		this.clip._width += n;
		this.clip._height += n;
	}
	
	function scaleSet(x:Number, y:Number){
		this.clip._width = x;
		this.clip._height = y;
	}
	
	function scalePercentInc(x:Number, y:Number){
		this.clip._xscale += x;
		this.clip._yscale += y;
		
	}
}