﻿class StringManip{
	static function insert(haystack:String, needle:String, pos:Number):String{
		var firstString:String = haystack.slice(0, pos);
		var lastString:String = haystack.slice(pos, haystack.length);
		return firstString + needle + lastString;
	}
	
	static function remove(haystack:String, needle:String, pos:Number):String{
		var firstString:String = haystack.slice(0, pos);
		var lastString:String = haystack.slice(pos + needle.length, haystack.length);
		return firstString + lastString;
	}
	
	static function insertTag(haystack:String, pos1:Number, pos2:Number, tag:String):String{
		var incNum:Number = StringManip.convToHtmlPos(haystack, pos1);
		pos1 += incNum;
		pos2 += incNum;
		haystack = StringManip.insert(haystack, "</"+tag+">", pos2);
		haystack = StringManip.insert(haystack, "<"+tag+">", pos1);
		//trace(pos1+" "+pos2);
		//trace(temp);
		return haystack;
		
	}
	
	static function removeTag(haystack:String, pos1:Number, pos2:Number, tag:String):String{
		var incNum:Number = StringManip.convToHtmlPos(haystack, pos1);
		var beginTag = "<"+tag+">";
		var endTag = "</"+tag+">";
		
		pos1 += incNum;
		pos2 += incNum + beginTag.length;
		haystack = StringManip.remove(haystack, endTag, pos2);
		haystack = StringManip.remove(haystack, beginTag, pos1);
		//trace(pos1+" "+pos2);
		//trace(haystack);
		return haystack;
	}
	
	static function convToHtmlPos(haystack:String, pos:Number):Number{
		var countingFlag:Boolean = false;
		var incNum:Number = 0;
		var i:Number = 0;
		do{
			if(haystack.charAt(i) == "<"){
				countingFlag = true;
			}
			
			if(haystack.charAt(i) == ">"){
				countingFlag = false;
				incNum++;
				pos++;
			}
			
			if(haystack.charAt(i) == "&"){
				countingFlag = true;
				//trace(pos);
			}
			
			if(haystack.charAt(i) == ";"){
				countingFlag = false;
				//incNum++;
				pos++;
				//trace(pos);
			}
			
			if(countingFlag){
				incNum++;
				pos++;
			}
			
			i++;
			 
		}while(i < pos);
		
		return incNum;
	}
	
	static function space2nsp(str:String):String{
		return StringManip.strReplace(str, " ", "&nsp;");
	}
	
	static function strip_white(str:String):String{
		var str:String = StringManip.strReplace(str, " ", "");
		str = StringManip.strReplace(str, "\n", "");
		str = StringManip.strReplace(str, "\t", "");
		return str;
	}
	
	static function nsp2space(str:String):String{
		return StringManip.strReplace(str, "&nsp;", " ");
	}
	
	static function strReplace(haystack:String, needle:String, sStr:String):String{
		var rStr:String = "";
		for(var i:Number = 0; i < haystack.length; i++){
			if(haystack.charAt(i) == needle.charAt(0)){
				if(haystack.substr(i, needle.length) == needle){
					rStr += sStr;
					i += needle.length - 1;
				}else
					rStr += haystack.charAt(i);
			}else
				rStr += haystack.charAt(i);
		}
		return rStr;
	}
}