﻿class V2D{
	
	public var x:Number;
	public var y:Number;
	
	function V2D(x:Number, y:Number){
		this.x = x;
		this.y = y;
	}
	
	function set(x, y){
		this.x = x;
		this.y = y;
	}
	
	function setVpos(v:V2D){
		this.x = v.x;
		this.y = v.y;
	}
	
	function divideScal(num:Number){
		this.x /= num;
		this.y /= num;
	}
	
	function multi(num:Number){
		this.x *= num;
		this.y *= num;
	}
	
	function multiV(v:V2D){
		this.x *= v.x;
		this.y *= v.y;
	}
	
	function inc(p:V2D){
		this.x += p.x;
		this.y += p.y;
	}
	
	function incScal(num:Number){
		this.x += num;
		this.y += num;
	}
	
	function incScals(x:Number, y:Number){
		this.x += x;
		this.y += y;
	}
	
	function moveMovie(m:MovieClip){
		m._x = this.x;
		m._y = this.y;
	}
	
	function movieSet(m:MovieClip){
		this.x = m._x;
		this.y = m._y;
	}
	
	function getAngle():Number{
		return Math.atan(this.y/this.x);
	}
	
	function decToZero(num:Number){
		if(Math.abs(this.x) < num)
			this.x = 0;
		else{
			if(this.x < 0)
				this.x += num;
			else
				this.x -= num;
		}
			
		if(Math.abs(this.y) < num)
			this.y = 0;
		else{
			if(this.y < 0)
				this.y += num;
			else
				this.y -= num;
		}
	}
}